class ReactionLab::Server < Sinatra::Base

  # This is user-defined
  def handle(internal_args, external_args)
    { message: 'hello' }
  end

  post '/' do
    data = JSON.parse(request.body.read)

    content_type :json
    JSON.dump(handle(data['internal_args'], data['external_args']))
  end

  get '/status' do
    content_type :json
    JSON.dump({ status: 'up' })
  end

end
